LibreOffice LibreOffice 4.3 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Attributes | List of all members
DataPilotTableHeaderData Struct Reference

information about a cell within the column or row header area of a DataPilot table. More...

`import"DataPilotTableHeaderData.idl";`

## Public Attributes
long | Dimension
| number of dimensions More...
long | Hierarchy
| hierarchy More...
long | Level
| level More...
long | Flags
| flag More...
string | MemberName
| member name More...

## Detailed Description

information about a cell within the column or row header area of a DataPilot table.

This struct contains information about a particular cell located within the column or row header area of a DataPilot table. This is the type that is contained in DataPilotTablePositionData::PositionData when the value of DataPilotTablePositionData::PositionType is either DataPilotTablePositionType::ROW_HEADER or DataPilotTablePositionType::COLUMN_HEADER.

See also
  com::sun::star::sheet::DataPilotTablePositionData
  com::sun::star::sheet::DataPilotTablePositionType
  com::sun::star::sheet::DataPilotFieldFilter
  com::sun::star::sheet::DataResult

Since
  OOo 3.0

## Member Data Documentation

long Dimension

number of dimensions

long Flags

flag

long Hierarchy

hierarchy

long Level

level

string MemberName

member name

The documentation for this struct was generated from the following file:

- com/sun/star/sheet/DataPilotTableHeaderData.idl